I can't install truffle/hdwallet-provider on MacOs

I have some problems for install @truffle/hdwallet-provider on macOs Catalina I’m in the last video of Day-5 Crud, Could you give me some help?
This is the error:

npm install @truffle/hdwallet-provider
npm WARN deprecated core-js@2.6.10: core-js@<3.0 is no longer maintained and not recommended for usage due to the number of issues. Please, upgrade your dependencies to the actual version of core-js@3.

scrypt@6.0.3 preinstall /Users/federico/Desktop/bbvaHack/eattheblocks/crud/node_modules/scrypt
node node-scrypt-preinstall.js

keccak@1.4.0 install /Users/federico/Desktop/bbvaHack/eattheblocks/crud/node_modules/eth-block-tracker/node_modules/keccak
npm run rebuild || echo “Keccak bindings compilation fail. Pure JS implementation will be used.”

keccak@1.4.0 rebuild /Users/federico/Desktop/bbvaHack/eattheblocks/crud/node_modules/eth-block-tracker/node_modules/keccak
node-gyp rebuild

No receipt for ‘com.apple.pkg.CLTools_Executables’ found at ‘/’.

No receipt for ‘com.apple.pkg.DeveloperToolsCLILeo’ found at ‘/’.

No receipt for ‘com.apple.pkg.DeveloperToolsCLI’ found at ‘/’.

gyp: No Xcode or CLT version detected!
gyp ERR! configure error
gyp ERR! stack Error: gyp failed with exit code: 1
gyp ERR! stack at ChildProcess.onCpExit (/Users/federico/.nvm/versions/node/v8.16.1/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:345:16)
gyp ERR! stack at emitTwo (events.js:126:13)
gyp ERR! stack at ChildProcess.emit (events.js:214:7)
gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:198:12)
gyp ERR! System Darwin 19.0.0
gyp ERR! command “/Users/federico/.nvm/versions/node/v8.16.1/bin/node” “/Users/federico/.nvm/versions/node/v8.16.1/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js” “rebuild”
gyp ERR! cwd /Users/federico/Desktop/bbvaHack/eattheblocks/crud/node_modules/eth-block-tracker/node_modules/keccak
gyp ERR! node -v v8.16.1
gyp ERR! node-gyp -v v3.8.0
gyp ERR! not ok
npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! keccak@1.4.0 rebuild: node-gyp rebuild
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the keccak@1.4.0 rebuild script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
npm WARN Local package.json exists, but node_modules missing, did you mean to install?

npm ERR! A complete log of this run can be found in:
npm ERR! /Users/federico/.npm/_logs/2019-11-24T22_46_58_049Z-debug.log
Keccak bindings compilation fail. Pure JS implementation will be used.

keccak@1.4.0 install /Users/federico/Desktop/bbvaHack/eattheblocks/crud/node_modules/eth-json-rpc-middleware/node_modules/keccak
npm run rebuild || echo “Keccak bindings compilation fail. Pure JS implementation will be used.”

keccak@1.4.0 rebuild /Users/federico/Desktop/bbvaHack/eattheblocks/crud/node_modules/eth-json-rpc-middleware/node_modules/keccak
node-gyp rebuild

No receipt for ‘com.apple.pkg.CLTools_Executables’ found at ‘/’.

No receipt for ‘com.apple.pkg.DeveloperToolsCLILeo’ found at ‘/’.

No receipt for ‘com.apple.pkg.DeveloperToolsCLI’ found at ‘/’.

gyp: No Xcode or CLT version detected!
gyp ERR! configure error
gyp ERR! stack Error: gyp failed with exit code: 1
gyp ERR! stack at ChildProcess.onCpExit (/Users/federico/.nvm/versions/node/v8.16.1/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:345:16)
gyp ERR! stack at emitTwo (events.js:126:13)
gyp ERR! stack at ChildProcess.emit (events.js:214:7)
gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:198:12)
gyp ERR! System Darwin 19.0.0
gyp ERR! command “/Users/federico/.nvm/versions/node/v8.16.1/bin/node” “/Users/federico/.nvm/versions/node/v8.16.1/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js” “rebuild”
gyp ERR! cwd /Users/federico/Desktop/bbvaHack/eattheblocks/crud/node_modules/eth-json-rpc-middleware/node_modules/keccak
gyp ERR! node -v v8.16.1
gyp ERR! node-gyp -v v3.8.0
gyp ERR! not ok
npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! keccak@1.4.0 rebuild: node-gyp rebuild
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the keccak@1.4.0 rebuild script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
npm WARN Local package.json exists, but node_modules missing, did you mean to install?

npm ERR! A complete log of this run can be found in:
npm ERR! /Users/federico/.npm/_logs/2019-11-24T22_47_00_148Z-debug.log
Keccak bindings compilation fail. Pure JS implementation will be used.

keccak@1.4.0 install /Users/federico/Desktop/bbvaHack/eattheblocks/crud/node_modules/eth-sig-util/node_modules/keccak
npm run rebuild || echo “Keccak bindings compilation fail. Pure JS implementation will be used.”

keccak@1.4.0 rebuild /Users/federico/Desktop/bbvaHack/eattheblocks/crud/node_modules/eth-sig-util/node_modules/keccak
node-gyp rebuild

No receipt for ‘com.apple.pkg.CLTools_Executables’ found at ‘/’.

No receipt for ‘com.apple.pkg.DeveloperToolsCLILeo’ found at ‘/’.

No receipt for ‘com.apple.pkg.DeveloperToolsCLI’ found at ‘/’.

gyp: No Xcode or CLT version detected!
gyp ERR! configure error
gyp ERR! stack Error: gyp failed with exit code: 1
gyp ERR! stack at ChildProcess.onCpExit (/Users/federico/.nvm/versions/node/v8.16.1/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:345:16)
gyp ERR! stack at emitTwo (events.js:126:13)
gyp ERR! stack at ChildProcess.emit (events.js:214:7)
gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:198:12)
gyp ERR! System Darwin 19.0.0
gyp ERR! command “/Users/federico/.nvm/versions/node/v8.16.1/bin/node” “/Users/federico/.nvm/versions/node/v8.16.1/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js” “rebuild”
gyp ERR! cwd /Users/federico/Desktop/bbvaHack/eattheblocks/crud/node_modules/eth-sig-util/node_modules/keccak
gyp ERR! node -v v8.16.1
gyp ERR! node-gyp -v v3.8.0
gyp ERR! not ok
npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! keccak@1.4.0 rebuild: node-gyp rebuild
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the keccak@1.4.0 rebuild script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
npm WARN Local package.json exists, but node_modules missing, did you mean to install?

npm ERR! A complete log of this run can be found in:
npm ERR! /Users/federico/.npm/_logs/2019-11-24T22_47_01_985Z-debug.log
Keccak bindings compilation fail. Pure JS implementation will be used.

keccak@1.4.0 install /Users/federico/Desktop/bbvaHack/eattheblocks/crud/node_modules/eth-tx-summary/node_modules/keccak
npm run rebuild || echo “Keccak bindings compilation fail. Pure JS implementation will be used.”

And I use node 8.16.1
npm 6.4.1 and Truffle 5.0.35
Thanks!!

Can you re-try with NodeJS v12.x? this is the LTS (long-term support) version of NodeJS, v8 is not as actively maintained and some packages might break on it.

If this doesnt fix it, you can try to run this and re-try after:

xcode-select --install

Doesn’t work for me:

scrypt@6.0.3 preinstall /Users/federico/Desktop/bbvaHack/eattheblocks/crud/node_modules/scrypt
node node-scrypt-preinstall.js

scrypt@6.0.3 install /Users/federico/Desktop/bbvaHack/eattheblocks/crud/node_modules/scrypt
node-gyp rebuild

No receipt for ‘com.apple.pkg.CLTools_Executables’ found at ‘/’.

No receipt for ‘com.apple.pkg.DeveloperToolsCLILeo’ found at ‘/’.

No receipt for ‘com.apple.pkg.DeveloperToolsCLI’ found at ‘/’.

gyp: No Xcode or CLT version detected!
gyp ERR! configure error
gyp ERR! stack Error: gyp failed with exit code: 1
gyp ERR! stack at ChildProcess.onCpExit (/Users/federico/.nvm/versions/node/v12.13.1/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:351:16)
gyp ERR! stack at ChildProcess.emit (events.js:210:5)
gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:272:12)
gyp ERR! System Darwin 19.0.0
gyp ERR! command “/Users/federico/.nvm/versions/node/v12.13.1/bin/node” “/Users/federico/.nvm/versions/node/v12.13.1/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js” “rebuild”
gyp ERR! cwd /Users/federico/Desktop/bbvaHack/eattheblocks/crud/node_modules/scrypt
gyp ERR! node -v v12.13.1
gyp ERR! node-gyp -v v5.0.5
gyp ERR! not ok

sha3@1.2.3 install /Users/federico/Desktop/bbvaHack/eattheblocks/crud/node_modules/sha3
node-gyp rebuild

No receipt for ‘com.apple.pkg.CLTools_Executables’ found at ‘/’.

No receipt for ‘com.apple.pkg.DeveloperToolsCLILeo’ found at ‘/’.

No receipt for ‘com.apple.pkg.DeveloperToolsCLI’ found at ‘/’.

gyp: No Xcode or CLT version detected!
gyp ERR! configure error
gyp ERR! stack Error: gyp failed with exit code: 1
gyp ERR! stack at ChildProcess.onCpExit (/Users/federico/.nvm/versions/node/v12.13.1/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:351:16)
gyp ERR! stack at ChildProcess.emit (events.js:210:5)
gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:272:12)
gyp ERR! System Darwin 19.0.0
gyp ERR! command “/Users/federico/.nvm/versions/node/v12.13.1/bin/node” “/Users/federico/.nvm/versions/node/v12.13.1/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js” “rebuild”
gyp ERR! cwd /Users/federico/Desktop/bbvaHack/eattheblocks/crud/node_modules/sha3
gyp ERR! node -v v12.13.1
gyp ERR! node-gyp -v v5.0.5
gyp ERR! not ok
npm WARN crud@1.0.0 No repository field.
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: scrypt@6.0.3 (node_modules/scrypt):
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: scrypt@6.0.3 install: node-gyp rebuild
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: Exit status 1

npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! sha3@1.2.3 install: node-gyp rebuild
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the sha3@1.2.3 install script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

And Wen I try xcode-select – install:
xcode-select: error: command line tools are already installed, use “Software Update” to install updates

mm, I must admit my lack of knowledge here, I never had this problem before.

Try to re-install it like this:

sudo rm -rf $(xcode-select -print-path)
xcode-select --install

The key error message is No Xcode or CLT version detected

1 Like

That Works!!
Thanks!!